Package org.apache.sling.pipes.models

## Class PipeModel

- java.lang.Object
- - org.apache.sling.pipes.models.PipeModel

    @Model(adaptables=org.apache.sling.api.resource.Resource.class)
    public class PipeModel
    extends Object

Check for pipes presence under `pipes` node of the given resource, and make their output available as pipes to the script. Note that current resource is passed as a binding to the executed pipes, as a map of properties, plus the name and path, with the name `BINDING_CURRENTRESOURCE`

### Field Summary

Fields
`protected static String` `BINDING_CURRENTRESOURCE` name of the binding in which we should register current resource bindings
`protected org.apache.sling.api.resource.Resource` `currentResource` current resource
`protected static String` `NN_PIPES` name of the child nodes under which we should look for pipes
`protected Map<String,​Iterator<org.apache.sling.api.resource.Resource>>` `outputs` map of the found pipes outputs
`protected Plumber` `plumber`
`protected org.apache.sling.api.resource.Resource` `root` pipe root of the current resource

### Constructor Summary

Constructors
`PipeModel​(org.apache.sling.api.resource.Resource resource)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​Iterator<org.apache.sling.api.resource.Resource>>` `getOutputs()` Getter for outputs
`protected void` `init()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NN_PIPES

    protected static final String NN_PIPES

name of the child nodes under which we should look for pipes

See Also:
  Constant Field Values

#### BINDING_CURRENTRESOURCE

    protected static final String BINDING_CURRENTRESOURCE

name of the binding in which we should register current resource bindings

See Also:
  Constant Field Values

#### outputs

    protected Map<String,​Iterator<org.apache.sling.api.resource.Resource>> outputs

map of the found pipes outputs

#### plumber

    protected Plumber plumber

#### root

    protected org.apache.sling.api.resource.Resource root

pipe root of the current resource

#### currentResource

    protected org.apache.sling.api.resource.Resource currentResource

current resource

### Constructor Detail

#### PipeModel

    public PipeModel​(org.apache.sling.api.resource.Resource resource)

Constructor

Parameters:
  `resource` - resource upon which this model is constructed

### Method Detail

#### getOutputs

    public Map<String,​Iterator<org.apache.sling.api.resource.Resource>> getOutputs()

Getter for outputs

Returns:
  outputs of the model: pipe name as key, outputs as value

#### init

    @PostConstruct
    protected void init()